/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EventDataVO.as 7375 2010-12-24 14:45:51Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.vo
{

    import com.adobe.cairngorm.vo.IValueObject;

    /**
     * @author Guillaume Renault
     */
    [RemoteClass(alias="org.ow2.jasmine.monitoring.eos.monitoring.EventData")]
    [Bindable]
    public class EventDataVO implements IValueObject
    {

        private var _date:String="";

        private var _value:String="";

        public function EventDataVO():void
        {
        }

        public function set date(d:String):void
        {
            this._date=d;
        }

        public function get date():String
        {
            return this._date;
        }

        public function set value(v:String):void
        {
            this._value=v;
        }

        public function get value():String
        {
            return this._value;
        }

    }
}
