/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SerieResult.as 7375 2010-12-24 14:45:51Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.vo
{

    import com.adobe.cairngorm.vo.IValueObject;

    import mx.collections.ArrayCollection;

    /**
     * @author Philippe Durieux
     */
    [RemoteClass(alias="org.ow2.jasmine.monitoring.eos.monitoring.SerieResult")]
    [Bindable]
    public class SerieResult implements IValueObject
    {

        private var _id:String;

        // ArrayCollection of EventDataVO
        private var _results:ArrayCollection;

        public function SerieResult():void
        {
        }

        public function set id(n:String):void
        {
            this._id=n;
        }

        public function get id():String
        {
            return this._id;
        }

        public function set results(ac:ArrayCollection):void
        {
            this._results=ac;
        }

        public function get results():ArrayCollection
        {
            return this._results;
        }

    }
}
